org.apache.commons.collections4.map

## Class AbstractLinkedMap.LinkMapIterator<K,V>

- java.lang.Object
- - org.apache.commons.collections4.map.AbstractLinkedMap.LinkIterator<K,V>
  - - org.apache.commons.collections4.map.AbstractLinkedMap.LinkMapIterator<K,V>

- All Implemented Interfaces:
    Iterator<K>, MapIterator<K,V>, OrderedIterator<K>, OrderedMapIterator<K,V>, ResettableIterator<K>
  Enclosing class:
    AbstractLinkedMap<K,V>

      protected static class AbstractLinkedMap.LinkMapIterator<K,V>
      extends AbstractLinkedMap.LinkIterator<K,V>
      implements OrderedMapIterator<K,V>, ResettableIterator<K>

  MapIterator implementation.

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.collections4.map.AbstractLinkedMap.LinkIterator

      `expectedModCount, last, next, parent`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `LinkMapIterator(AbstractLinkedMap<K,V> parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `K` | `getKey()` Gets the current key, which is the key returned by the last call to `next()`.
    `V` | `getValue()` Gets the current value, which is the value associated with the last key returned by `next()`.
    `K` | `next()` Gets the next key from the `Map`.
    `K` | `previous()` Gets the previous key from the `Map`.
    `V` | `setValue(V value)` Sets the value associated with the current key (optional operation).

    - ### Methods inherited from class org.apache.commons.collections4.map.AbstractLinkedMap.LinkIterator

      `currentEntry, hasNext, hasPrevious, nextEntry, previousEntry, remove, reset, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.commons.collections4.OrderedMapIterator

      `hasPrevious`

    - ### Methods inherited from interface org.apache.commons.collections4.MapIterator

      `hasNext, remove`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

    - ### Methods inherited from interface org.apache.commons.collections4.ResettableIterator

      `reset`

- - ### Constructor Detail

    - #### LinkMapIterator

          protected LinkMapIterator(AbstractLinkedMap<K,V> parent)

  - ### Method Detail

    - #### next

          public K next()

      Description copied from interface: `MapIterator`
      Gets the next key from the `Map`.
      Specified by:
        `next` in interface `Iterator<K>`
      Specified by:
        `next` in interface `MapIterator<K,V>`
      Returns:
        the next key in the iteration

    - #### previous

          public K previous()

      Description copied from interface: `OrderedMapIterator`
      Gets the previous key from the `Map`.
      Specified by:
        `previous` in interface `OrderedIterator<K>`
      Specified by:
        `previous` in interface `OrderedMapIterator<K,V>`
      Returns:
        the previous key in the iteration

    - #### getKey

          public K getKey()

      Description copied from interface: `MapIterator`
      Gets the current key, which is the key returned by the last call to `next()`.
      Specified by:
        `getKey` in interface `MapIterator<K,V>`
      Returns:
        the current key

    - #### getValue

          public V getValue()

      Description copied from interface: `MapIterator`
      Gets the current value, which is the value associated with the last key returned by `next()`.
      Specified by:
        `getValue` in interface `MapIterator<K,V>`
      Returns:
        the current value

    - #### setValue

          public V setValue(V value)

      Description copied from interface: `MapIterator`
      Sets the value associated with the current key (optional operation).
      Specified by:
        `setValue` in interface `MapIterator<K,V>`
      Parameters:
        `value` - the new value
      Returns:
        the previous value

Copyright © 2001–2018 The Apache Software Foundation. All rights reserved.